# Claim $attach

`POST /Claim/$attach`

This resource contains the financial details for provider services for a patient visit or treatment. Healthcare organizations can use this resource to request reimbursement, while payers can review this resource to process claims and respond with the `ClaimResponse` resource. 

You can submit, check, or add to claim information using one of the supported operations.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $attach

Attach additional patient information (i.e., X12 275) to a claim.

Providing extra context for a claim often helps it process more successfully.

[Review tips for submitting preauthorization requests](https://docs.redoxengine.com/permalink/1dmBveSorkwCUJ9JNdsAB4).

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Indicates the purpose of this bundle - how it is intended to be used. Value: collection |
| `entry` | Array of DocumentReference or Patient or Organization or PractitionerRole or Practitioner or RelatedPerson or Coverage or Claim or ClaimResponse or Other | Yes | An array of FHIR resources. Only a DocumentReference resource is required, but additional resources associated with the document or prior auth (such as the patient) may also be included. In certain async workflows, some or all of the claim-related resources may also be included. |
| `entry[] (DocumentReference).resource` | object | Yes | A binary document relating to a claim or response. The claim identifier is communicated in `context.related`. |
| `entry[] (DocumentReference).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: DocumentReference |
| `entry[] (DocumentReference).resource.status` | string | Yes | The status of this document reference. Possible values: current, superseded, entered-in-error |
| `entry[] (DocumentReference).resource.content` | Array of object | Yes | The contents of the document. If the size is small enough (<7mb), the data can be base64-encoded and sent in the `attachment.data` field. Otherwise, a binary resource must be uploaded independently and its identifier sent in `attachment.url`. |
| `entry[] (DocumentReference).resource.content[].attachment` | object | Yes | The document or URL of the document along with critical metadata to prove content has integrity. |
| `entry[] (DocumentReference).resource.content[].attachment.contentType` | string | No | Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate. |
| `entry[] (DocumentReference).resource.content[].attachment.data` | string | No | The actual data of the attachment - a sequence of bytes, base64 encoded. |
| `entry[] (DocumentReference).resource.content[].attachment.url` | string | No | A location where the data can be accessed. |
| `entry[] (DocumentReference).resource.context` | object | Yes | The clinical context in which the document was prepared. |
| `entry[] (DocumentReference).resource.context.related` | Array of object | Yes | If the FHIR Claim or ClaimResponse resource is known or included in the bundle, `reference` can point to its internal FHIR id. Otherwise, `identifier` communicates the value of `Claim.identifier` Must be a resource of type `Resource`. |
| `entry[] (DocumentReference).resource.context.related[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DocumentReference).resource.context.related[].identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.context.related[].identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DocumentReference).resource.context.related[].identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (DocumentReference).resource.context.related[].identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (DocumentReference).resource.context.related[].identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (DocumentReference).resource.subject` | object | No | Who or what the document is about. The document can be about a person, (patient or healthcare practitioner), a device (e.g. a machine) or even a group of subjects (such as a document about a herd of farm animals, or a set of patients that share a common exposure). Must reference one of the following types of resources: - `Patient` - `Practitioner` - `Group` - `Device` |
| `entry[] (DocumentReference).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DocumentReference).resource.subject.identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `entry[] (DocumentReference).resource.subject.identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (DocumentReference).resource.subject.identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (DocumentReference).resource.subject.identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (DocumentReference).resource.subject.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (DocumentReference).resource.subject.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Patient).resource` | object | Yes | The patient about whom the claim is made. This resource is referenced by DocumentReference.subject. If Claim or ClaimResponse resources are included in the bundle, they should also reference this patient in `.patient` |
| `entry[] (Patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (Patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (Patient).resource.identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (Patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (Patient).resource.name[].prefix` | Array of string | No | Part of the name that is acquired as a title due to academic, legal, employment or nobility status, etc. and that appears at the start of the name. |
| `entry[] (Patient).resource.name[].suffix` | Array of string | No | Part of the name that is acquired as a title due to academic, legal, employment or nobility status, etc. and that appears at the end of the name. |
| `entry[] (Patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (Patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (Patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (Patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (Patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Patient).resource.address[].period` | object | No | Time period when address was/is in use. |
| `entry[] (Patient).resource.address[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Patient).resource.address[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (Patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (Patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Patient).resource.multipleBirthInteger` | number | No | Indicates whether the patient is part of a multiple (boolean) or indicates the actual birth order (integer). |
| `entry[] (Organization).resource` | object | Yes | Information about an organization. This resource is referenced by `ClaimResponse.insurer` and `.requestor` and may also be referenced by other resources. |
| `entry[] (Organization).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `entry[] (Organization).resource.active` | boolean | Yes | Whether the organization's record is still in active use. |
| `entry[] (Organization).resource.name` | string | Yes | A name associated with the organization. |
| `entry[] (Organization).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Organization).resource.identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `entry[] (Organization).resource.identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (Organization).resource.identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Organization).resource.identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Organization).resource.identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Organization).resource.identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Organization).resource.identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Organization).resource.identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Organization).resource.identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Organization).resource.identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Organization).resource.type` | Array of object | No | The kind(s) of organization that this is. |
| `entry[] (Organization).resource.type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Organization).resource.type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Organization).resource.type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Organization).resource.type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Organization).resource.telecom` | Array of object | No | A contact detail for the organization. |
| `entry[] (Organization).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Organization).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Organization).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Organization).resource.address` | Array of object | No | An address for the organization. |
| `entry[] (Organization).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Organization).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Organization).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Organization).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Organization).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Organization).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Organization).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Organization).resource.partOf` | object | No | The organization of which this organization forms a part. Must be a resource of type `Organization`. |
| `entry[] (Organization).resource.partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (PractitionerRole).resource` | object | Yes | Combines practitioner, specialty, and location information into a single resource. |
| `entry[] (PractitionerRole).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: PractitionerRole |
| `entry[] (PractitionerRole).resource.practitioner` | object | No | Practitioner that is able to provide the defined services for the organization. Must be a resource of type `Practitioner`. |
| `entry[] (PractitionerRole).resource.practitioner.reference` | string | No | A reference to a Practitioner resource |
| `entry[] (PractitionerRole).resource.organization` | object | No | The organization where the Practitioner performs the roles associated. Must be a resource of type `Organization`. |
| `entry[] (PractitionerRole).resource.organization.reference` | string | No | A reference to an Organization resource |
| `entry[] (PractitionerRole).resource.specialty` | Array of object | No | Specific specialty of the practitioner. |
| `entry[] (PractitionerRole).resource.specialty[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (PractitionerRole).resource.specialty[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (PractitionerRole).resource.specialty[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (PractitionerRole).resource.specialty[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (PractitionerRole).resource.location` | Array of object | No | The location(s) at which this practitioner provides care. Must be a resource of type `Location`. |
| `entry[] (PractitionerRole).resource.location[].display` | string | No | The name of the location at which this practioner works |
| `entry[] (Practitioner).resource` | object | Yes | A practitioner involved in the claim |
| `entry[] (Practitioner).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Practitioner |
| `entry[] (Practitioner).resource.identifier` | Array of NPI or Other | Yes | An identifier that applies to this person in this role. |
| `entry[] (Practitioner).resource.identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Practitioner).resource.identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Practitioner).resource.identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Practitioner).resource.identifier[] (Other).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Practitioner).resource.identifier[] (Other).value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Practitioner).resource.identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Practitioner).resource.identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Practitioner).resource.name` | Array of object | Yes | The name(s) associated with the practitioner. |
| `entry[] (Practitioner).resource.name[].family` | string | Yes | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Practitioner).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Practitioner).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (Practitioner).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Practitioner).resource.active` | boolean | No | Whether this practitioner's record is in active use. |
| `entry[] (Practitioner).resource.telecom` | Array of object | No | A contact detail for the practitioner, e.g. a telephone number or an email address. |
| `entry[] (Practitioner).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Practitioner).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Practitioner).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Practitioner).resource.address` | Array of object | No | Address(es) of the practitioner |
| `entry[] (Practitioner).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Practitioner).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Practitioner).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Practitioner).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Practitioner).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Practitioner).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Practitioner).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Practitioner).resource.gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (Practitioner).resource.qualification` | Array of object | No | The official certifications, training, and licenses that authorize or otherwise pertain to the provision of care by the practitioner.  For example, a medical license issued by a medical board authorizing the practitioner to practice medicine within a certian locality. |
| `entry[] (Practitioner).resource.qualification[].code` | object | Yes | Coded representation of the qualification. |
| `entry[] (Practitioner).resource.qualification[].code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Practitioner).resource.qualification[].code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Practitioner).resource.qualification[].code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Practitioner).resource.qualification[].code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource` | object | Yes | Another person involved in the claim. Typically this resource is used when the Patient themselves is not the subscriber to the Coverage involved in the prior auth. |
| `entry[] (RelatedPerson).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: RelatedPerson |
| `entry[] (RelatedPerson).resource.patient` | object | Yes | The patient this person is related to. Must be a resource of type `Patient`. |
| `entry[] (RelatedPerson).resource.patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (RelatedPerson).resource.extension` | Array of spouse or employer or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (RelatedPerson).resource.extension[] (spouse).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-spouse |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.extension[] (spouse).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.extension[] (employer).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-employer |
| `entry[] (RelatedPerson).resource.extension[] (employer).valueReference` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (RelatedPerson).resource.extension[] (employer).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.identifier` | Array of object | No | Identifier for a person within a particular scope. |
| `entry[] (RelatedPerson).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (RelatedPerson).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (RelatedPerson).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (RelatedPerson).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (RelatedPerson).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (RelatedPerson).resource.relationship` | Array of object | No | The nature of the relationship between a patient and the related person. |
| `entry[] (RelatedPerson).resource.relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (RelatedPerson).resource.name` | Array of object | No | A name associated with the person. |
| `entry[] (RelatedPerson).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (RelatedPerson).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (RelatedPerson).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (RelatedPerson).resource.telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (RelatedPerson).resource.telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (RelatedPerson).resource.telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (RelatedPerson).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (RelatedPerson).resource.gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (RelatedPerson).resource.birthDate` | string | No | The date on which the related person was born. |
| `entry[] (RelatedPerson).resource.address` | Array of object | No | Address where the related person can be contacted or visited. |
| `entry[] (RelatedPerson).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (RelatedPerson).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (RelatedPerson).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (RelatedPerson).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (RelatedPerson).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (RelatedPerson).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (RelatedPerson).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Coverage).resource` | object | Yes | The patient's insurance information. This resource is referenced by Claim.insurance.coverage |
| `entry[] (Coverage).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Coverage |
| `entry[] (Coverage).resource.status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (Coverage).resource.beneficiary` | object | Yes | This should be the same patient as the Claim's beneficiary Must be a resource of type `Patient`. |
| `entry[] (Coverage).resource.beneficiary.reference` | string | No | A reference to a Patient resource. |
| `entry[] (Coverage).resource.payor` | Array of object | Yes | This should be the same organization as Claim.insurer Must reference one of the following types of resources: - `Organization` - `Patient` - `RelatedPerson` |
| `entry[] (Coverage).resource.payor[].reference` | string | No | A reference to an Organization resource |
| `entry[] (Coverage).resource.identifier` | Array of object | No | A unique identifier assigned to this coverage. |
| `entry[] (Coverage).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Coverage).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Coverage).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Coverage).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Coverage).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Coverage).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Coverage).resource.policyHolder` | object | No | The party who 'owns' the insurance policy. If this is the subscriber, the reference may be identical. This may also contain employer information in the case of Worker's Compensation and other policies. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` - `Organization` |
| `entry[] (Coverage).resource.policyHolder.reference` | string | No | This may be a reference to an Organization resource or it may reference the same person as the subscriber. |
| `entry[] (Coverage).resource.subscriber` | object | No | If the beneficiary is also the subscriber, this should be the same value as beneficiary. Otherwise, this can reference a RelatedPerson resource containing the subscriber's information. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` |
| `entry[] (Coverage).resource.subscriber.reference` | string | No | A reference to a Patient or RelatedPerson resource. |
| `entry[] (Coverage).resource.subscriberId` | string | No | The insurer assigned ID for the Subscriber. |
| `entry[] (Coverage).resource.class` | Array of group or Other | No | A suite of underwriter specific classifiers. |
| `entry[] (Coverage).resource.class[] (group).type` | object | Yes | The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan. |
| `entry[] (Coverage).resource.class[] (group).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (group).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: group |
| `entry[] (Coverage).resource.class[] (group).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (Coverage).resource.class[] (group).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (group).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Coverage).resource.class[] (Other).type` | object | Yes | The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan. |
| `entry[] (Coverage).resource.class[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Coverage).resource.class[] (Other).type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Coverage).resource.class[] (Other).type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Coverage).resource.class[] (Other).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Coverage).resource.class[] (Other).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Claim).resource` | object | Yes | If the attachment is related to a claim, the original Claim resource may be included. |
| `entry[] (Claim).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Claim |
| `entry[] (Claim).resource.identifier` | Array of object | Yes | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `entry[] (Claim).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Claim).resource.status` | string | Yes | The status of the resource instance. Value: active |
| `entry[] (Claim).resource.type` | object | Yes | Type of claim. [Example Codes](http://hl7.org/fhir/R4/valueset-claim-type.html) The recommended system is `http://terminology.hl7.org/CodeSystem/claim-type`. Typical values include - `pharmacy` - Pharmacy claims for goods and services - `professional` - Typically outpatient claims such as Psychological, Chiropractor, rehabilitative, consulting - `institutional` - Hospital, clinic and other inpatient claims |
| `entry[] (Claim).resource.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.use` | string | Yes | A code to indicate whether the nature of the request is: to request adjudication of products and services previously rendered; or requesting authorization and adjudication for provision in the future; or requesting the non-binding adjudication of the listed products and services which could be provided in the future. Value: preauthorization |
| `entry[] (Claim).resource.patient` | object | Yes | The party to whom the professional services and/or products have been supplied or are being considered and for whom actual or forecast reimbursement is sought. Must be a resource of type `Patient`. |
| `entry[] (Claim).resource.patient.reference` | string | No | A reference to a Patient resource |
| `entry[] (Claim).resource.created` | string | Yes | The date this resource was created. |
| `entry[] (Claim).resource.provider` | object | Yes | The provider which is responsible for the claim, predetermination or preauthorization. Must be a resource of type `Organization`. |
| `entry[] (Claim).resource.provider.reference` | string | No | A reference to an Organization resource |
| `entry[] (Claim).resource.priority` | object | Yes | The provider-required urgency of processing the request. Typical values include: `stat`, `routine`, and  `deferred`. If sending one of these statuses, use the system `http://terminology.hl7.org/CodeSystem/processpriority` |
| `entry[] (Claim).resource.priority.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.priority.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.priority.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.priority.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.insurance` | Array of object | Yes | Financial instruments for reimbursement for the health care products and services specified on the claim. |
| `entry[] (Claim).resource.insurance[].sequence` | number | Yes | A number to uniquely identify insurance entries and provide a sequence of coverages to convey coordination of benefit order. |
| `entry[] (Claim).resource.insurance[].focal` | boolean | Yes | A flag to indicate that this Coverage is to be used for adjudication of this claim when set to true. Value: true |
| `entry[] (Claim).resource.insurance[].coverage` | object | Yes | Reference to the insurance card level information contained in the Coverage resource. The coverage issuing insurer will use these details to locate the patient's actual coverage within the insurer's information system. Must be a resource of type `Coverage`. |
| `entry[] (Claim).resource.insurance[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.item` | Array of object | Yes | A claim line. Either a simple  product or service or a 'group' of details which can each be a simple items or groups of sub-details. |
| `entry[] (Claim).resource.item[].sequence` | number | Yes | A number to uniquely identify item entries. |
| `entry[] (Claim).resource.item[].productOrService` | object | Yes | For prior auth, the requestedService extension carries more information than this field, and this field should just duplicate the product or service code found in that resource. |
| `entry[] (Claim).resource.item[].productOrService.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].productOrService.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].productOrService.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].productOrService.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].extension` | Array of itemTraceNumber or administrationReferenceNumber or requestedService or Other | No | A set of additional fields about the item. For medication prior auth, the requestedService extension must be present with a reference to a MedicationRequest resource. For procedures, a ServiceRequest resource is used. |
| `entry[] (Claim).resource.item[].extension[] (itemTraceNumber).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-itemTraceNumber |
| `entry[] (Claim).resource.item[].extension[] (itemTraceNumber).valueIdentifier` | object | No | Uniquely identifies this claim item |
| `entry[] (Claim).resource.item[].extension[] (itemTraceNumber).valueIdentifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Claim).resource.item[].extension[] (administrationReferenceNumber).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-administrationReferenceNumber |
| `entry[] (Claim).resource.item[].extension[] (administrationReferenceNumber).valueString` | string | No | When inquiring about the status of a previous claim, this may be set to the value received in the pending claim response. |
| `entry[] (Claim).resource.item[].extension[] (requestedService).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/davinci-pas/StructureDefinition/extension-requestedService |
| `entry[] (Claim).resource.item[].extension[] (requestedService).valueReference` | object | No | The details of the service being requested Must reference one of the following types of resources: - `MedicationRequest` - `ServiceRequest` |
| `entry[] (Claim).resource.item[].extension[] (requestedService).valueReference.reference` | string | No | A reference to a MedicationRequest or ServiceRequest resource |
| `entry[] (Claim).resource.item[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Claim).resource.item[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Claim).resource.item[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Claim).resource.item[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Claim).resource.item[].informationSequence` | Array of number | No | Exceptions, special conditions and supporting information applicable for this service or product. |
| `entry[] (Claim).resource.item[].modifier` | Array of object | No | Item typification or modifiers codes to convey additional context for the product or service. |
| `entry[] (Claim).resource.item[].modifier[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Claim).resource.item[].modifier[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Claim).resource.item[].modifier[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Claim).resource.item[].modifier[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Claim).resource.item[].quantity` | object | No | The number of repetitions of a service or product. |
| `entry[] (Claim).resource.item[].quantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Claim).resource.item[].quantity._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (Claim).resource.item[].quantity._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Claim).resource.item[].quantity._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
[...]
